Subject: [TR] Modern accessory power for Pos groud cars

From: "Ron L'Herault" <[email-masked]>
Date: Sat, 21 Mar 2015 10:42:42 -0400

Not to long ago, someone was wondering how to power modern negative ground
equipment in a positive ground TR-3.  I suggested building a box to house a
battery and power supply.   Someone already has done it and sells various
size units, along with add-ons such as special lights and solar panels if
you don't want to recharge it by plugging it into somehting.   I have no
idea if it is any good or not.  I saw it on Rakuten.com:

Goal Zero Yeti 400 Solar Generator

Ron L

** [email-masked] **

Archive: http://www.team.net/archive